@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;1,300;1,400;1,500;1,600&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #3498DB;
}

.wrapper {
    background: #fff;
    height: 265px;
    max-width: 410px;
    border-radius: 7px;
    padding: 16px 25px;
    transition: height 0.2s ease;
}

.wrapper.active {
    height: 530px;
}

header h1 {
    font-size: 21px;
    font-weight: 500;
}

header p {
    margin-top: 5px;
    color: #575757;
    font-size: 16px;
}

.wrapper .form {
    margin: 20px 0 25px;
}

.form :where(input, button) {
    width: 100%;
    height: 55px;
    border: none;
    outline: none;
    border-radius: 5px;
}

.form input {
    font-size: 18px;
    padding: 0 17px;
    border: 1px solid #999;
}

.form button {
    color: #fff;
    cursor: pointer;
    margin-top: 20px;
    font-size: 17px;
    background: #3498DB;
}

.wrapper .qr-code {
    display: flex;
    opacity: 0;
    pointer-events: none;
    padding: 33px 0;
    align-items: center;
    justify-content: center;
    border: 1px solid #ccc;
}

.wrapper.active .qr-code {
    opacity: 1;
    pointer-events: auto;
    transition: opacity 0.5s 0.05s ease;
}

@media (max-width: 430px){
    .wrapper{
      height: 255px;
      max-width: 350px;
      padding: 16px 20px;
    }
    .wrapper.active{
      height: 510px;
    }
    header p{
      color: #696969;
    }
    .form :where(input, button){
      height: 52px;
    }
    .qr-code img{
      width: 160px;
    }  
}